com.hazelcast.config

## Class AbstractXmlConfigHelper

- java.lang.Object
- - com.hazelcast.config.AbstractXmlConfigHelper

- Direct Known Subclasses:
    AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper, AbstractXmlConfigBuilder

      public abstract class AbstractXmlConfigHelper
      extends Object

  Contains Hazelcast XML Configuration helper methods and variables.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `domLevel3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXmlConfigHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendToken(StringBuilder builder, StringBuilder token)`
    `protected AbstractXmlConfigBuilder.ConfigType` | `getConfigType()`
    `String` | `getNamespaceType()`
    `protected String` | `getReleaseVersion()`
    `protected InputStream` | `loadSchemaFile(String schemaLocation)`
    `protected void` | `schemaValidation(Document doc)`
    `protected String` | `xmlToJavaName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domLevel3

          protected boolean domLevel3

  - ### Constructor Detail

    - #### AbstractXmlConfigHelper

          public AbstractXmlConfigHelper()

  - ### Method Detail

    - #### getNamespaceType

          public String getNamespaceType()

    - #### getConfigType

          protected AbstractXmlConfigBuilder.ConfigType getConfigType()

    - #### schemaValidation

          protected void schemaValidation(Document doc)
                                   throws Exception

      Throws:
        `Exception`

    - #### loadSchemaFile

          protected InputStream loadSchemaFile(String schemaLocation)

    - #### getReleaseVersion

          protected String getReleaseVersion()

    - #### xmlToJavaName

          protected String xmlToJavaName(String name)

    - #### appendToken

          protected void appendToken(StringBuilder builder,
                                     StringBuilder token)

Copyright © 2019. All rights reserved.